Skip to main content
PATCH
/
api
/
v1
/
issues
/
{id}
Update issue
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/issues/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee": "<string>",
  "comment": "<string>",
  "component": "<string>",
  "confidence": "confirmed",
  "cve_ids": [
    "<string>"
  ],
  "cvss_score": "<string>",
  "cwe_ids": [
    "<string>"
  ],
  "description": "<string>",
  "due_date": "2023-11-07T05:31:56Z",
  "evidence": [
    {}
  ],
  "false_positive_reason": "<string>",
  "host": "<string>",
  "ip_address": "<string>",
  "labels": {},
  "last_seen_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "port": 123,
  "priority": "critical",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "protocol": "<string>",
  "reference_urls": [
    "<string>"
  ],
  "remediation": "<string>",
  "resolved_by": "<string>",
  "risk_acceptance_reason": "<string>",
  "severity": "critical",
  "source": "<string>",
  "status": "unverified",
  "tags": [
    "<string>"
  ],
  "tags_add": [
    "<string>"
  ],
  "tags_remove": [
    "<string>"
  ],
  "target": "<string>",
  "target_type": "<string>",
  "template_id": "<string>",
  "ticket_id": "<string>",
  "ticket_url": "<string>",
  "title": "<string>",
  "type": "vulnerability",
  "url": "<string>"
}
'
{
  "confidence": "confirmed",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "priority": "critical",
  "severity": "critical",
  "source": "<string>",
  "status": "unverified",
  "title": "<string>",
  "type": "vulnerability",
  "updated_at": "2023-11-07T05:31:56Z",
  "affected_assets": [
    {
      "created_by": "<string>",
      "first_seen": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_seen": "2023-11-07T05:31:56Z",
      "status": "open",
      "target_type": "host",
      "asset_owner": "<string>",
      "host": "<string>",
      "ip_address": "<string>",
      "matcher_name": "<string>",
      "metadata": {},
      "port": 123,
      "target": "<string>",
      "url": "<string>"
    }
  ],
  "affected_count": 0,
  "assignee": "<string>",
  "component": "<string>",
  "cve_ids": [
    "<string>"
  ],
  "cvss_score": "<string>",
  "cwe_ids": [
    "<string>"
  ],
  "description": "<string>",
  "due_date": "2023-11-07T05:31:56Z",
  "evidence": [
    {}
  ],
  "false_positive_reason": "<string>",
  "host": "<string>",
  "ip_address": "<string>",
  "labels": {},
  "last_seen_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "port": 123,
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "protocol": "<string>",
  "raw_data": {},
  "reference_urls": [
    "<string>"
  ],
  "remediation": "<string>",
  "resolved_at": "2023-11-07T05:31:56Z",
  "resolved_by": "<string>",
  "risk_acceptance_reason": "<string>",
  "slug": "ISSUE-42",
  "tags": [
    "<string>"
  ],
  "target": "<string>",
  "target_type": "host",
  "task_id": "<string>",
  "task_title": "<string>",
  "template_id": "<string>",
  "ticket_id": "<string>",
  "ticket_url": "<string>",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Issue ID

Body

application/json
assignee
string
comment
string

Optional comment explaining the change

component
string
confidence
enum<string>
Available options:
confirmed,
firm,
tentative
cve_ids
string[]
cvss_score
string
cwe_ids
string[]
description
string
due_date
string<date-time>
evidence
object[]
false_positive_reason
string

Reason this issue was marked as false positive.

host
string
ip_address
string
labels
object
last_seen_at
string<date-time>

When the issue was last observed or re-confirmed by a scan.

metadata
object
port
integer
priority
enum<string>
Available options:
critical,
high,
medium,
low,
none
project_id
string<uuid>

Move issue to a different project.

protocol
string
reference_urls
string[]
remediation
string
resolved_by
string
risk_acceptance_reason
string

Reason the risk was accepted.

severity
enum<string>
Available options:
critical,
high,
medium,
low,
info,
unknown
source
string

Source of the issue

status
enum<string>
Available options:
unverified,
open,
confirmed,
in_progress,
resolved,
false_positive,
accepted_risk,
duplicate
tags
string[]
tags_add
string[]

Tags to add (incremental)

tags_remove
string[]

Tags to remove (incremental)

target
string

What is affected

target_type
string

Category of target

template_id
string
ticket_id
string

External ticket ID or key.

ticket_url
string

Link to external ticket (Jira, Linear, GitHub issue, etc.)

title
string
type
enum<string>
Available options:
vulnerability,
misconfiguration,
exposure,
information,
compliance,
other
url
string

Response

Updated issue

confidence
enum<string>
required
Available options:
confirmed,
firm,
tentative
created_at
string<date-time>
required
created_by
string
required

Email of the user who created this issue

id
string<uuid>
required
priority
enum<string>
required
Available options:
critical,
high,
medium,
low,
none
severity
enum<string>
required
Available options:
critical,
high,
medium,
low,
info,
unknown
source
string
required

Source of the issue (e.g. nuclei, agent, burp, snyk, manual, etc.)

status
enum<string>
required
Available options:
unverified,
open,
confirmed,
in_progress,
resolved,
false_positive,
accepted_risk,
duplicate
title
string
required
type
enum<string>
required
Available options:
vulnerability,
misconfiguration,
exposure,
information,
compliance,
other
updated_at
string<date-time>
required
affected_assets
object[] | null

Populated on detail view (GET /issues/:id). NULL on list view.

affected_count
integer
default:0

Number of affected assets tracked for the issue.

assignee
string | null
component
string | null
cve_ids
string[]
cvss_score
string | null

CVSS score 0.0-10.0 as string (numeric)

cwe_ids
string[]
description
string | null
due_date
string<date-time> | null
evidence
object[]
false_positive_reason
string | null

Reason this issue was marked as false positive.

host
string | null
ip_address
string | null
labels
object
last_seen_at
string<date-time> | null

When the issue was last observed or re-confirmed by a scan.

metadata
object
port
integer | null
project_id
string<uuid> | null

Project this issue belongs to (null = personal/unscoped).

protocol
string | null
raw_data
object
reference_urls
string[]
remediation
string | null
resolved_at
string<date-time> | null
resolved_by
string | null
risk_acceptance_reason
string | null

Reason the risk was accepted.

slug
string

Human-readable sequential identifier (e.g. ISSUE-1, ISSUE-2). Auto-assigned on creation.

Example:

"ISSUE-42"

tags
string[]
target
string | null

What is affected (host, ARN, app, file:line, etc.)

target_type
string
default:host

Category of target (host, cloud_resource, app, code, container, dependency, api, certificate)

task_id
string | null
task_title
string | null
template_id
string | null
ticket_id
string | null

External ticket ID or key.

ticket_url
string | null

Link to external ticket (Jira, Linear, GitHub issue, etc.)

url
string | null